package com.iamberry.wechat.core.entity.wx;

import java.io.Serializable;
import java.util.Date;

public class KeyWord implements Serializable {
	private static final long serialVersionUID = -259648345042862442L;
	
	private Long keyServiceNo;
	private String keyServiceNoMd5;
    private String keyWord;
    private String wxpublicNo;
    private String reType;
    private String refText;
    private Long refImageTextId;
    private String refVedioId;
    private Date createTime;
    private String vchar1;
    private String vchar2;
    private String vchar3;
    private String vchar4;
    private String keyType;
    private String title;
	public Long getKeyServiceNo() {
		return keyServiceNo;
	}
	public void setKeyServiceNo(Long keyServiceNo) {
		this.keyServiceNo = keyServiceNo;
	}
	
	public String getKeyServiceNoMd5() {
		return keyServiceNoMd5;
	}
	public void setKeyServiceNoMd5(String keyServiceNoMd5) {
		this.keyServiceNoMd5 = keyServiceNoMd5;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public String getKeyWord() {
		return keyWord;
	}
	public void setKeyWord(String keyWord) {
		this.keyWord = keyWord;
	}
	public String getWxpublicNo() {
		return wxpublicNo;
	}
	public void setWxpublicNo(String wxpublicNo) {
		this.wxpublicNo = wxpublicNo;
	}
	public String getReType() {
		return reType;
	}
	public void setReType(String reType) {
		this.reType = reType;
	}
	public String getRefText() {
		return refText;
	}
	public void setRefText(String refText) {
		this.refText = refText;
	}
	public Long getRefImageTextId() {
		return refImageTextId;
	}
	public void setRefImageTextId(Long refImageTextId) {
		this.refImageTextId = refImageTextId;
	}
	public String getRefVedioId() {
		return refVedioId;
	}
	public void setRefVedioId(String refVedioId) {
		this.refVedioId = refVedioId;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getVchar1() {
		return vchar1;
	}
	public void setVchar1(String vchar1) {
		this.vchar1 = vchar1;
	}
	public String getVchar2() {
		return vchar2;
	}
	public void setVchar2(String vchar2) {
		this.vchar2 = vchar2;
	}
	public String getVchar3() {
		return vchar3;
	}
	public void setVchar3(String vchar3) {
		this.vchar3 = vchar3;
	}
	public String getVchar4() {
		return vchar4;
	}
	public void setVchar4(String vchar4) {
		this.vchar4 = vchar4;
	}
	public String getKeyType() {
		return keyType;
	}
	public void setKeyType(String keyType) {
		this.keyType = keyType;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
    
}
